---
title: "Modifies a authdomain's details"
slug: "modifies-a-authdomains-details"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/modifies-a-authdomains-details"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Modifies a authdomain's details
Patch/api/v1/authdomains/{authdomainId}
SecurityHTTPType bearer
Path parametersauthdomainIdstringRequired
The ID of the authdomain to modify
Body parameters
The authdomain details to modify
Expand Allobject attributesobject authURLstring
clientIdstring
clientSecretstring
entityIdstring
logoutURLstring
signonURLstring
tokenURLstring
descriptionstring
displayNamestring
isDefaultboolean
Responses201
Successfully updated authdomain details
Expand Allobject authorizationboolean
dataobject (AuthDomain) attributesobject authURLstring
clientIdstring
clientSecretstring
entityIdstring
logoutURLstring
signonURLstring
tokenURLstring
descriptionstring
displayNamestring
fStatestring
isDefaultboolean
namestring
objectGUIDstring
organizationobject idstring
levelinteger
namestring
protocolstring
redirectUristring
scopestring
timezonestring
typestring
whenChangedstring
whenCreatedstring
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
400
Exception occurred while modifying the authdomain
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
401
Unauthorized
object error_codeinteger
error_messagestring
error_statusboolean
403
Cannot edit the authdomain as the status is still pending
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
404
Not Found
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
500
Internal Server Error
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean